Bug 64922 - Update devel/tcllib to 1.6
Summary: Update devel/tcllib to 1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-30 07:30 UTC by forsite
Modified: 2004-04-03 22:46 UTC (History)
0 users

See Also:


Attachments
file.shar (14.04 KB, text/plain)
2004-03-30 07:30 UTC, forsite
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description forsite 2004-03-30 07:30:22 UTC
        Update devel/tcllib to 1.6

        I didn't know, wheter I should change the name of the port-maker to
        mine, so I left the name of the original author of the port.

        If you need this, add my coordinates:

        Name: Forsite//HPG
        E-mail: forsite@spamtest.ru

Fix: I made this as it was recommended in
http://www.freebsd.org/doc/en_US.IS
O8859-1/books/porters-handbook/porting-submitting.html, i.e. NOT with diff,
        but with shar ind portname.
        If you need diff, I can additionally submit it.
Comment 1 Kirill Ponomarev freebsd_committer 2004-03-30 10:42:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

Over to maintainer.
Comment 2 Mikhail Teterin 2004-04-01 22:00:19 UTC
Please, submit the actual differences from the existing version of
the port. Thank you,

	-mi
Comment 3 forsite 2004-04-02 07:39:33 UTC
diff -rNu /usr/ports/devel/tcllib/Makefile tcllib/Makefile
--- /usr/ports/devel/tcllib/Makefile Mon Mar 22 11:00:54 2004
+++ tcllib/Makefile Mon Mar 29 17:39:02 2004
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=  tcllib
-PORTVERSION=  1.4
+PORTVERSION=  1.6
 CATEGORIES=  devel tcl83 tcl84
 MASTER_SITES=  ${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR= tcllib
diff -rNu /usr/ports/devel/tcllib/distinfo tcllib/distinfo
--- /usr/ports/devel/tcllib/distinfo Wed Mar 31 09:23:12 2004
+++ tcllib/distinfo Mon Mar 29 17:56:40 2004
@@ -1,2 +1,2 @@
-MD5 (tcllib-1.4.tar.bz2) = 0a53fcfa3c7dcff9d38efdf34531996a
-SIZE (tcllib-1.4.tar.bz2) = 916891
+MD5 (tcllib-1.6.tar.bz2) = 6014528dce625b83cc40a0c6ed5b0761
+SIZE (tcllib-1.6.tar.bz2) = 1175233
diff -rNu /usr/ports/devel/tcllib/pkg-plist tcllib/pkg-plist
--- /usr/ports/devel/tcllib/pkg-plist Wed Jan  7 01:47:40 2004
+++ tcllib/pkg-plist Mon Mar 29 18:32:09 2004
@@ -1,16 +1,13 @@
-lib/tcllib%%PORTVERSION%%/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/base64/base64.tcl
+lib/tcllib%%PORTVERSION%%/base64/base64c.tcl
 lib/tcllib%%PORTVERSION%%/base64/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/base64/uuencode.tcl
 lib/tcllib%%PORTVERSION%%/base64/yencode.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/base64
 lib/tcllib%%PORTVERSION%%/cmdline/cmdline.tcl
 lib/tcllib%%PORTVERSION%%/cmdline/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/cmdline/typedCmdline.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/cmdline
 lib/tcllib%%PORTVERSION%%/comm/comm.tcl
 lib/tcllib%%PORTVERSION%%/comm/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/comm
 lib/tcllib%%PORTVERSION%%/control/ascaller.tcl
 lib/tcllib%%PORTVERSION%%/control/assert.tcl
 lib/tcllib%%PORTVERSION%%/control/control.tcl
@@ -18,26 +15,21 @@
 lib/tcllib%%PORTVERSION%%/control/no-op.tcl
 lib/tcllib%%PORTVERSION%%/control/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/control/tclIndex
-@dirrm lib/tcllib%%PORTVERSION%%/control
 lib/tcllib%%PORTVERSION%%/counter/counter.tcl
 lib/tcllib%%PORTVERSION%%/counter/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/counter
 lib/tcllib%%PORTVERSION%%/crc/cksum.tcl
 lib/tcllib%%PORTVERSION%%/crc/crc16.tcl
 lib/tcllib%%PORTVERSION%%/crc/crc32.tcl
+lib/tcllib%%PORTVERSION%%/crc/crcc.tcl
 lib/tcllib%%PORTVERSION%%/crc/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/crc/sum.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/crc
 lib/tcllib%%PORTVERSION%%/csv/csv.tcl
 lib/tcllib%%PORTVERSION%%/csv/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/csv
 lib/tcllib%%PORTVERSION%%/des/des.tcl
 lib/tcllib%%PORTVERSION%%/des/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/des
 lib/tcllib%%PORTVERSION%%/dns/dns.tcl
 lib/tcllib%%PORTVERSION%%/dns/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/dns/resolv.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/dns
 lib/tcllib%%PORTVERSION%%/doctools/api.tcl
 lib/tcllib%%PORTVERSION%%/doctools/api_idx.tcl
 lib/tcllib%%PORTVERSION%%/doctools/api_toc.tcl
@@ -68,6 +60,7 @@
 lib/tcllib%%PORTVERSION%%/doctools/mpformats/fmt.text
 lib/tcllib%%PORTVERSION%%/doctools/mpformats/fmt.tmml
 lib/tcllib%%PORTVERSION%%/doctools/mpformats/fmt.wiki
+lib/tcllib%%PORTVERSION%%/doctools/mpformats/fr.msg
 lib/tcllib%%PORTVERSION%%/doctools/mpformats/idx.html
 lib/tcllib%%PORTVERSION%%/doctools/mpformats/idx.nroff
 lib/tcllib%%PORTVERSION%%/doctools/mpformats/idx.null
@@ -79,38 +72,29 @@
 lib/tcllib%%PORTVERSION%%/doctools/mpformats/toc.text
 lib/tcllib%%PORTVERSION%%/doctools/mpformats/toc.tmml
 lib/tcllib%%PORTVERSION%%/doctools/mpformats/toc.wiki
-@dirrm lib/tcllib%%PORTVERSION%%/doctools/mpformats
 lib/tcllib%%PORTVERSION%%/doctools/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/doctools
 lib/tcllib%%PORTVERSION%%/exif/exif.tcl
 lib/tcllib%%PORTVERSION%%/exif/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/exif
 lib/tcllib%%PORTVERSION%%/fileutil/fileutil.tcl
 lib/tcllib%%PORTVERSION%%/fileutil/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/fileutil
 lib/tcllib%%PORTVERSION%%/ftp/ftp.tcl
 lib/tcllib%%PORTVERSION%%/ftp/ftp_geturl.tcl
 lib/tcllib%%PORTVERSION%%/ftp/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/ftp
 lib/tcllib%%PORTVERSION%%/ftpd/ftpd.tcl
 lib/tcllib%%PORTVERSION%%/ftpd/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/ftpd
 lib/tcllib%%PORTVERSION%%/html/html.tcl
 lib/tcllib%%PORTVERSION%%/html/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/html
 lib/tcllib%%PORTVERSION%%/htmlparse/htmlparse.tcl
 lib/tcllib%%PORTVERSION%%/htmlparse/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/htmlparse
+lib/tcllib%%PORTVERSION%%/inifile/ini.tcl
+lib/tcllib%%PORTVERSION%%/inifile/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/irc/irc.tcl
 lib/tcllib%%PORTVERSION%%/irc/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/irc
 lib/tcllib%%PORTVERSION%%/javascript/javascript.tcl
 lib/tcllib%%PORTVERSION%%/javascript/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/javascript
 lib/tcllib%%PORTVERSION%%/log/log.tcl
 lib/tcllib%%PORTVERSION%%/log/logger.tcl
 lib/tcllib%%PORTVERSION%%/log/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/log
 lib/tcllib%%PORTVERSION%%/math/calculus.tcl
 lib/tcllib%%PORTVERSION%%/math/combinatorics.tcl
 lib/tcllib%%PORTVERSION%%/math/fuzzy.tcl
@@ -124,59 +108,54 @@
 lib/tcllib%%PORTVERSION%%/math/plotstat.tcl
 lib/tcllib%%PORTVERSION%%/math/statistics.tcl
 lib/tcllib%%PORTVERSION%%/math/tclIndex
-@dirrm lib/tcllib%%PORTVERSION%%/math
 lib/tcllib%%PORTVERSION%%/md4/md4.tcl
 lib/tcllib%%PORTVERSION%%/md4/md4c.tcl
 lib/tcllib%%PORTVERSION%%/md4/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/md4
 lib/tcllib%%PORTVERSION%%/md5/md5.tcl
+lib/tcllib%%PORTVERSION%%/md5/md5c.tcl
+lib/tcllib%%PORTVERSION%%/md5/md5x.tcl
 lib/tcllib%%PORTVERSION%%/md5/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/md5
+lib/tcllib%%PORTVERSION%%/md5crypt/md5crypt.tcl
+lib/tcllib%%PORTVERSION%%/md5crypt/md5cryptc.tcl
+lib/tcllib%%PORTVERSION%%/md5crypt/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/mime/mime.tcl
 lib/tcllib%%PORTVERSION%%/mime/performance.tcl
 lib/tcllib%%PORTVERSION%%/mime/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/mime/smtp.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/mime
+lib/tcllib%%PORTVERSION%%/multiplexer/multiplexer.tcl
+lib/tcllib%%PORTVERSION%%/multiplexer/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/ncgi/ncgi.tcl
 lib/tcllib%%PORTVERSION%%/ncgi/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/ncgi
 lib/tcllib%%PORTVERSION%%/nntp/nntp.tcl
 lib/tcllib%%PORTVERSION%%/nntp/pkgIndex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/nntp
 lib/tcllib%%PORTVERSION%%/ntp/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/ntp/time.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/ntp
+lib/tcllib%%PORTVERSION%%/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/pop3/clnt.tcl
 lib/tcllib%%PORTVERSION%%/pop3/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/pop3/pop3.tcl
 lib/tcllib%%PORTVERSION%%/pop3/srv.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/pop3
 lib/tcllib%%PORTVERSION%%/pop3d/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/pop3d/pop3d.tcl
 lib/tcllib%%PORTVERSION%%/pop3d/pop3d_dbox.tcl
 lib/tcllib%%PORTVERSION%%/pop3d/pop3d_udb.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/pop3d
 lib/tcllib%%PORTVERSION%%/profiler/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/profiler/profiler.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/profiler
 lib/tcllib%%PORTVERSION%%/report/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/report/report.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/report
 lib/tcllib%%PORTVERSION%%/sha1/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/sha1/sha1.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/sha1
 lib/tcllib%%PORTVERSION%%/smtpd/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/smtpd/smtpd.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/smtpd
+lib/tcllib%%PORTVERSION%%/snit/pkgIndex.tcl
+lib/tcllib%%PORTVERSION%%/snit/snit.tcl
 lib/tcllib%%PORTVERSION%%/soundex/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/soundex/soundex.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/soundex
 lib/tcllib%%PORTVERSION%%/stooop/mkpkgidx.tcl
 lib/tcllib%%PORTVERSION%%/stooop/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/stooop/stooop.tcl
 lib/tcllib%%PORTVERSION%%/stooop/switched.tcl
 lib/tcllib%%PORTVERSION%%/stooop/xifo.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/stooop
 lib/tcllib%%PORTVERSION%%/struct/graph.tcl
 lib/tcllib%%PORTVERSION%%/struct/list.tcl
 lib/tcllib%%PORTVERSION%%/struct/matrix.tcl
@@ -186,11 +165,24 @@
 lib/tcllib%%PORTVERSION%%/struct/prioqueue.tcl
 lib/tcllib%%PORTVERSION%%/struct/queue.tcl
 lib/tcllib%%PORTVERSION%%/struct/record.tcl
+lib/tcllib%%PORTVERSION%%/struct/sets.tcl
 lib/tcllib%%PORTVERSION%%/struct/skiplist.tcl
 lib/tcllib%%PORTVERSION%%/struct/stack.tcl
 lib/tcllib%%PORTVERSION%%/struct/struct.tcl
 lib/tcllib%%PORTVERSION%%/struct/tree.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/struct
+lib/tcllib%%PORTVERSION%%/struct1/graph.tcl
+lib/tcllib%%PORTVERSION%%/struct1/list.tcl
+lib/tcllib%%PORTVERSION%%/struct1/matrix.tcl
+lib/tcllib%%PORTVERSION%%/struct1/pkgIndex.tcl
+lib/tcllib%%PORTVERSION%%/struct1/pool.tcl
+lib/tcllib%%PORTVERSION%%/struct1/pooltest.tcl
+lib/tcllib%%PORTVERSION%%/struct1/prioqueue.tcl
+lib/tcllib%%PORTVERSION%%/struct1/queue.tcl
+lib/tcllib%%PORTVERSION%%/struct1/record.tcl
+lib/tcllib%%PORTVERSION%%/struct1/skiplist.tcl
+lib/tcllib%%PORTVERSION%%/struct1/stack.tcl
+lib/tcllib%%PORTVERSION%%/struct1/struct.tcl
+lib/tcllib%%PORTVERSION%%/struct1/tree.tcl
 lib/tcllib%%PORTVERSION%%/textutil/adjust.tcl
 lib/tcllib%%PORTVERSION%%/textutil/dehypht.tex
 lib/tcllib%%PORTVERSION%%/textutil/eshyph_vo.tex
@@ -201,9 +193,50 @@
 lib/tcllib%%PORTVERSION%%/textutil/tabify.tcl
 lib/tcllib%%PORTVERSION%%/textutil/textutil.tcl
 lib/tcllib%%PORTVERSION%%/textutil/trim.tcl
-@dirrm lib/tcllib%%PORTVERSION%%/textutil
 lib/tcllib%%PORTVERSION%%/uri/pkgIndex.tcl
 lib/tcllib%%PORTVERSION%%/uri/uri.tcl
 lib/tcllib%%PORTVERSION%%/uri/urn-scheme.tcl
 @dirrm lib/tcllib%%PORTVERSION%%/uri
+@dirrm lib/tcllib%%PORTVERSION%%/textutil
+@dirrm lib/tcllib%%PORTVERSION%%/struct1
+@dirrm lib/tcllib%%PORTVERSION%%/struct
+@dirrm lib/tcllib%%PORTVERSION%%/stooop
+@dirrm lib/tcllib%%PORTVERSION%%/soundex
+@dirrm lib/tcllib%%PORTVERSION%%/snit
+@dirrm lib/tcllib%%PORTVERSION%%/smtpd
+@dirrm lib/tcllib%%PORTVERSION%%/sha1
+@dirrm lib/tcllib%%PORTVERSION%%/report
+@dirrm lib/tcllib%%PORTVERSION%%/profiler
+@dirrm lib/tcllib%%PORTVERSION%%/pop3d
+@dirrm lib/tcllib%%PORTVERSION%%/pop3
+@dirrm lib/tcllib%%PORTVERSION%%/ntp
+@dirrm lib/tcllib%%PORTVERSION%%/nntp
+@dirrm lib/tcllib%%PORTVERSION%%/ncgi
+@dirrm lib/tcllib%%PORTVERSION%%/multiplexer
+@dirrm lib/tcllib%%PORTVERSION%%/mime
+@dirrm lib/tcllib%%PORTVERSION%%/md5crypt
+@dirrm lib/tcllib%%PORTVERSION%%/md5
+@dirrm lib/tcllib%%PORTVERSION%%/md4
+@dirrm lib/tcllib%%PORTVERSION%%/math
+@dirrm lib/tcllib%%PORTVERSION%%/log
+@dirrm lib/tcllib%%PORTVERSION%%/javascript
+@dirrm lib/tcllib%%PORTVERSION%%/irc
+@dirrm lib/tcllib%%PORTVERSION%%/inifile
+@dirrm lib/tcllib%%PORTVERSION%%/htmlparse
+@dirrm lib/tcllib%%PORTVERSION%%/html
+@dirrm lib/tcllib%%PORTVERSION%%/ftpd
+@dirrm lib/tcllib%%PORTVERSION%%/ftp
+@dirrm lib/tcllib%%PORTVERSION%%/fileutil
+@dirrm lib/tcllib%%PORTVERSION%%/exif
+@dirrm lib/tcllib%%PORTVERSION%%/doctools/mpformats
+@dirrm lib/tcllib%%PORTVERSION%%/doctools
+@dirrm lib/tcllib%%PORTVERSION%%/dns
+@dirrm lib/tcllib%%PORTVERSION%%/des
+@dirrm lib/tcllib%%PORTVERSION%%/csv
+@dirrm lib/tcllib%%PORTVERSION%%/crc
+@dirrm lib/tcllib%%PORTVERSION%%/counter
+@dirrm lib/tcllib%%PORTVERSION%%/control
+@dirrm lib/tcllib%%PORTVERSION%%/comm
+@dirrm lib/tcllib%%PORTVERSION%%/cmdline
+@dirrm lib/tcllib%%PORTVERSION%%/base64
 @dirrm lib/tcllib%%PORTVERSION%%
Comment 4 Mikhail Teterin freebsd_committer 2004-04-03 22:41:51 UTC
State Changed
From-To: open->closed

Upgraded, thanks. Also, I restored the sorting order in pkg-plist, 
added some new man-pages, and fixed one of the test cases.